// CHoopsFrm.h : interface of the CHoopsFrame class, derived from CMDIFrameWnd
// Manages palette creation and sharing per HOOPS MDI requirements

#ifndef hoops_frame
#define hoops_frame

class AFX_EXT_CLASS CHoopsFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CHoopsFrame)

// Attributes

protected:
    CPalette    *m_palette;
    BOOL        m_share_palette;

public:
	CHoopsFrame();

    //share indicates whether we should share a palette or not
    CHoopsFrame(BOOL share); 


// Operations
public:
    CPalette    *GetSharedPalette() {return m_palette;};

    BOOL        IsPaletteShared() {return m_share_palette;};
    void        SetPaletteShared(BOOL share);
 
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHoopsFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CHoopsFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CHoopsFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg BOOL OnQueryNewPalette();
	afx_msg void OnPaletteChanged(CWnd* pFocusWnd);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
/////////////////////////////////////////////////////////////////////////////
